[Unit]
Description=Eject the DVD
Before=final.target
After=shutdown.target
DefaultDependencies=no
ConditionPathExists=!/flash

[Service]
Type=oneshot
ExecStart=/usr/bin/eject -m
StandardInput=tty-force
StandardOutput=inherit
StandardError=inherit

[Install]
WantedBy=shutdown.target
